## transforms3d 0.3.1%2Bds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
BUILDROOT       = _build
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

# API generation
API_DIR = reference

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf       to make pdf files"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean: api-clean
	-rm -rf $(BUILDROOT)/*
	-rm *-stamp

api-clean:
	rm -rf $(API_DIR)/*.rst

api: api-stamp
api-stamp:
	@mkdir -p $(API_DIR)
	$(PYTHON) tools/build_modref_templates.py transforms3d $(API_DIR) False
	@echo "Build API docs...done."
	@touch $@

html-only:
	mkdir -p $(BUILDROOT)/html $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDROOT)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDROOT)/html."

html: api-stamp html-only

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/transforms3d.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/transforms3d.qhc"

latex: generate
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

pdf: latex
	cd _build/latex && make all-pdf

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest: api-clean
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

github: html
	ghp-import -n $(BUILDROOT)/html/
	git push origin gh-pages:gh-pages --force
	@echo
	@echo "Published to Github"

## transforms3d 0.3.1+ds

=== requirements.txt ===
# Runtime requirements for transforms3d
# Use with:
#   pip install -r requirements.txt
#
# Check setup.py when updating dependencies
numpy>=1.5.1

=== debian/changelog ===
transforms3d (0.3.1+ds-2) unstable; urgency=medium

  * Source upload for migrating to testing

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 08 Dec 2021 15:51:16 +0000

transforms3d (0.3.1+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #996488)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 27 Aug 2021 20:10:45 +0000

=== debian/control ===
Source: transforms3d
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-nose,
               python3-numpy
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/transforms3d
Vcs-Git: https://salsa.debian.org/python-team/packages/transforms3d.git
Rules-Requires-Root: no
Homepage: https://github.com/matthew-brett/transforms3d

Package: python3-transforms3d
Architecture: all
Depends: ${misc:Depends},
         python3-numpy,
         ${python3:Depends}
Suggests: python3-sympy
Description: code to convert between various geometric transformations
 Python code to convert between geometric transformations.
 .
 Composing rotations / zooms / shears / translations into affine matrix;
 Decomposing affine matrix into rotations / zooms / shears / translations;
 Conversions between different representations of rotations, including:
   * 3x3 Rotation matrices
   * Euler angles
   * quaternions

## transforms3d 0.4+ds

=== debian/changelog ===
transforms3d (0.4+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:41:45 +0100

transforms3d (0.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4+ds
  * Update d/copyright
  * Update dependencies (Closes: #1018654)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 17:38:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-nose,
-               python3-numpy
-Standards-Version: 4.6.0
+               python3-numpy,
+               python3-pytest,
+               python3-setuptools,
+               python3-scipy,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/transforms3d
 Vcs-Git: https://salsa.debian.org/python-team/packages/transforms3d.git
 Rules-Requires-Root: no

## transforms3d 0.4.1%2Bds

=== Makefile ===
git-clean:
	git clean -fxd

html:
	cd doc && make html

gh-pages: git-clean html
	git co gh-pages
	git rm -r .
	git checkout HEAD -- .gitignore README.md .nojekyll
	cp -r doc/_build/html/* . # your sphinx build directory
	git stage .
	@echo 'Commit and push when ready or git reset --hard && git checkout master to revert'

## transforms3d 0.4.1+ds

=== requirements.txt ===
--- 
+++ 
@@ -3,4 +3,4 @@
 #   pip install -r requirements.txt
 #
 # Check setup.py when updating dependencies
-numpy>=1.5.1
+numpy>=1.15

=== debian/changelog ===
transforms3d (0.4.1+ds-1) unstable; urgency=medium

  * Bump standard to 4.6.2
  * New upstream version 0.4.1+ds
  * Update copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 01 Feb 2024 15:56:37 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pytest,
                python3-setuptools,
                python3-scipy,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/transforms3d
 Vcs-Git: https://salsa.debian.org/python-team/packages/transforms3d.git
 Rules-Requires-Root: no

## transforms3d 0.4.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-numpy,
                python3-pytest,
                python3-setuptools,
                python3-scipy,
+               python3-versioneer,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/transforms3d
 Vcs-Git: https://salsa.debian.org/python-team/packages/transforms3d.git

## transforms3d 0.4.2+ds

=== requirements.txt ===
# Runtime requirements for transforms3d
# Use with:
#   pip install -r requirements.txt
#
# Check pyproject.toml when updating dependencies
numpy>=1.15

=== doc/Makefile ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile _build/qthelp/transforms3d.qhc"
 
-latex: generate
+latex: api-stamp
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."

=== debian/changelog ===
transforms3d (0.4.2+ds-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.4.2+ds that claims Numpy 2.x compatibility
  * Build with pybuild-plugin-pyproject
  * Add build-dependency on python3-versioneer

 -- Alexandre Detiste <tchet@debian.org>  Tue, 08 Oct 2024 22:05:47 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/,\
  dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
  https://github.com/matthew-brett/transforms3d/tags .*/v?(\d\S+)\.tar\.gz
